<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MatInodeGetInodeSizes</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MatInodeGetInodeSizes"><H1>MatInodeGetInodeSizes</H1></A>
Returns the inode information of the Inode matrix. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
PetscErrorCode PETSCMAT_DLLEXPORT MatInodeGetInodeSizes(Mat A,PetscInt *node_count,PetscInt *sizes[],PetscInt *limit)
</PRE>
Collective on <A HREF="../Mat/Mat.html#Mat">Mat</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>A </B> -the Inode matrix or matrix derived from the Inode class -- e.g., SeqAIJ
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>node_count </B></TD><TD>- no of inodes present in the matrix.
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>sizes      </B></TD><TD>- an array of <A HREF="../Sys/size.html#size">size</A> node_count,with sizes of each inode.
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>limit      </B></TD><TD>- the max <A HREF="../Sys/size.html#size">size</A> used to generate the inodes.
</TD></TR></TABLE>
<P>

<P>
Notes: This routine returns some internal storage information
of the matrix, it is intended to be used by advanced users.
It should be called after the matrix is assembled.
The contents of the sizes[] array should not be changed.
<A HREF="../Sys/PETSC_NULL.html#PETSC_NULL">PETSC_NULL</A> may be passed for information not requested.
<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 matrix, seqaij, get, inode
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Mat/MatGetInfo.html#MatGetInfo">MatGetInfo</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/impls/aij/seq/inode.c.html#MatInodeGetInodeSizes">src/mat/impls/aij/seq/inode.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
